class ComplexFundingReference < ActiveTriples::Resource
  include CommonMethods
  configure type: ::RDF::Vocab::Rdms.FundingReference
  property :funder_identifier, predicate: ::RDF::Vocab::Rdms.funderIdentifier
  property :funder_name, predicate: ::RDF::Vocab::Rdms.funderName
  property :award_number, predicate: ::RDF::Vocab::Rdms.awardNumber
  property :award_uri, predicate: ::RDF::Vocab::Rdms.awardURI
  property :award_title, predicate: ::RDF::Vocab::Rdms.awardTitle

  ## Necessary to get AT to create hash URIs.
  def initialize(uri, parent)
    if uri.try(:node?)
      uri = RDF::URI("#fundref#{uri.to_s.gsub('_:', '')}")
    elsif uri.start_with?("#")
      uri = RDF::URI(uri)
    end
    super
  end
end
